
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用C#编写发手机中文短信息 / iVAN</title>

    <meta name="description" content="用C#编写发手机中文短信息 中文 最近在电脑城上买了一根NOKIA3210的数据线,玩了几天改LOGO.改铃声后也将数据线扔在一边.直到前几天在Http://oxygensoftware.com上看到有发手机短信息的二次开发控件,才想起多日不用的数据线,而且最近在学C#,觉得用C#做个发短信息的程序也不错,经过多天的测试,终于实现用电脑+数据线+手机的模式,实现在单位的局域网平台上发送短信息了. 由于在单位使用到发手机短信息的地方有很多,可能是从网页.可能是OUTLOOK中的窗体.也可能是某台非Windows操作系统的主机">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">用C#编写发手机中文短信息</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>中文</p>
<p>最近在电脑城上买了一根NOKIA3210的数据线，玩了几天改LOGO、改铃声后也将数据线扔在一边。直到前几天在Http://oxygensoftware.com上看到有发手机短信息的二次开发控件，才想起多日不用的数据线，而且最近在学C#，觉得用C#做个发短信息的程序也不错，经过多天的测试，终于实现用电脑+数据线+手机的模式，实现在单位的局域网平台上发送短信息了。</p>
<p>　　由于在单位使用到发手机短信息的地方有很多，可能是从网页、可能是OUTLOOK中的窗体、也可能是某台非Windows操作系统的主机的某个系统，所以经过思考探讨，觉得最好的解决方案是采用Windows的“服务”，定时从一个目录中固定格式的文本文件中读取出相应的信息，发送出去。而其它客户端只需往该目录写入文本信息即可。思路定下来后就让我们开始吧！</p>
<p>　　先交待一下开发平台：Windows 2000 Advance Server操作系统、Visual Studio .Net 、Oxygen Sms ActiveX Control V2.3 （Share Ware）、 Nokia 3210手机通过数据线接在COM1上。运行Visual Studio .Net，新建一个C#的项目，选择“Windows Server”类型的项目，命名为“SmsServer”。在Server1的设计画面，将“ServerName”命名为“SmsServer”。点击“视图设计器按钮”切换到设计画面，在“Windows Forms”工具箱中拖一时钟控件，命名为“SmsTimer”，在“Components”工具箱中拖一“EventLog”控件。命名为“eventLog1”。在“项目”菜单中点击“添加引用”，选择“COM”页，浏览到安装Oxygen Sms ActiveX Control V2.3程序的目录，找到SMSControl.ocx添加到“选定的组件”中。</p>
<p>　　将Server1.cs代码替换为</p>
<p>using System; <br />using System.Collections; <br />using System.ComponentModel; <br />using System.Data; <br />using System.Diagnostics; <br />using System.ServiceProcess; <br />using System.IO; <br />using System.Text ;</p>
<p>namespace SmsServer <br />{ <br />public class SmsServer : System.ServiceProcess.ServiceBase <br />{ <br />private System.Timers.Timer SmsTimer; <br />private System.Diagnostics.EventLog eventLog1; <br />public O2SMSXControl.O2SMSX SmsX1;//定义手机短信对象</p>
<p>/// ＜summary＞ <br />/// Required designer variable. <br />/// ＜/summary＞ <br />private System.ComponentModel.Container components = null;</p>
<p>public SmsServer（） <br />{ <br />// This call is required by the Windows.Forms Component Designer. <br />InitializeComponent（）;</p>
<p>// TODO: Add any initialization after the InitComponent call <br />}</p>
<p>// The main entry point for the process <br />static void Main（） <br />{ <br />System.ServiceProcess.ServiceBase[] ServicesToRun;</p>
<p>// More than one user Service may run within the same process. To add <br />// another service to this process, change the following line to <br />// create a second service object. For example, <br />// <br />// ServicesToRun = New System.ServiceProcess.ServiceBase[] {new Service1（）, new MySecondUserService（）}; <br />// <br />ServicesToRun = new System.ServiceProcess.ServiceBase[] { new SmsServer（） };</p>
<p>System.ServiceProcess.ServiceBase.Run（ServicesToRun）; <br />}</p>
<p>/// ＜summary＞ <br />/// Required method for Designer support - do not modify <br />/// the contents of this method with the code editor. <br />/// ＜/summary＞ <br />private void InitializeComponent（） <br />{ <br />this.SmsTimer = new System.Timers.Timer（）; <br />this.eventLog1 = new System.Diagnostics.EventLog（）; <br />（（System.ComponentModel.ISupportInitialize）（this.SmsTimer））.BeginInit（）; <br />（（System.ComponentModel.ISupportInitialize）（this.eventLog1））.BeginInit（）; <br />// <br />// SmsTimer <br />// <br />this.SmsTimer.Enabled = true; <br />this.SmsTimer.Elapsed += new System.Timers.ElapsedEventHandler（this.SmsTimer_Elapsed）; <br />// <br />// SmsServer <br />// <br />this.ServiceName = "SmsServer"; <br />（（System.ComponentModel.ISupportInitialize）（this.SmsTimer））.EndInit（）; <br />（（System.ComponentModel.ISupportInitialize）（this.eventLog1））.EndInit（）;</p>
<p>}</p>
<p>/// ＜summary＞ <br />/// Clean up any resources being used. <br />/// ＜/summary＞ <br />protected override void Dispose（ bool disposing ） <br />{ <br />if（ disposing ） <br />{ <br />if （components != null） <br />{ <br />components.Dispose（）; <br />} <br />} <br />base.Dispose（ disposing ）; <br />}</p>
<p>/// ＜summary＞ <br />/// Set things in motion so your service can do its work. <br />/// ＜/summary＞ <br />protected override void OnStart（string[] args） <br />{ <br />// TODO: Add code here to start your service. <br />//开始服务时初始化手机. <br />SmsX1 = new O2SMSXControl.O2SMSXClass （）; <br />SmsX1.ConnectionMode = 0; //联线类型cable <br />SmsX1.ComNumber = 1; //联接端口为com 1 <br />SmsX1.Model = 0; //手机类型3210 <br />SmsX1.Open （）; //联接手机 <br />SmsX1.SetSMSCNumber （"+8613800754500"）;//信息中心号码 <br />}</p>
<p>/// ＜summary＞ <br />/// Stop this service. <br />/// ＜/summary＞ <br />protected override void OnStop（） <br />{ <br />// TODO: Add code here to perform any tear-down necessary to stop your service. <br />SmsX1.Close （）; <br />}</p>
<p>private void SmsTimer_Elapsed（object sender, System.Timers.ElapsedEventArgs e） <br />{ <br />//当f:\sms\data\filetosend有文件时,先关闭时钟,将其发送出去,并删除掉文件再启动时钟 <br />this.SmsTimer.Enabled =false;</p>
<p>//目录对象 <br />DirectoryInfo cd = new System.IO.DirectoryInfo（"F:\\Sms\\Data\\FileToSend"）; <br />//数据库记录变量 <br />string rsId; <br />string rsPhoneNum; <br />string rsSmsText;</p>
<p>string StrSql;</p>
<p>//首先,在当前目录中列举当前的所有SMS文件 <br />foreach（FileInfo FileSend in cd.GetFiles （）） <br />{ <br />try <br />{ <br />//依次打开每个文件读取文件内容 <br />FileStream fs = new FileStream （cd.FullName + "\\" + FileSend.Name ,FileMode.Open,FileAccess.Read ）; <br />StreamReader sr; <br />sr = new StreamReader（fs,UnicodeEncoding.GetEncoding （"GB2312"））; <br />rsId = FileSend.Name .ToString （）; <br />rsId = rsId.Replace （".sms",""）; <br />rsId = rsId.Trim （）; <br />rsPhoneNum = sr.ReadLine （）; <br />rsPhoneNum = rsPhoneNum.Trim （）; <br />if （rsPhoneNum.Length ＞11） <br />rsPhoneNum = rsPhoneNum.Substring （0,10）; <br />rsSmsText = sr.ReadToEnd（）; <br />rsSmsText = rsSmsText.Trim （）; <br />if （rsSmsText.Length ＞50） <br />rsSmsText.Substring （0,49）; <br />fs.Close （）; <br />sr.Close （）;</p>
<p>//发送短信息 <br />SmsX1.SendUnicodeSMSMessage （rsPhoneNum.ToString （）,rsSmsText.ToString （）,6,false,""）;</p>
<p>//备份并删除文件 <br />FileSend.CopyTo （"F:\\Sms\\Data\\HadBeenSend\\" + FileSend.Name ,true）; <br />FileSend.Delete （）; <br />} <br />catch（System.Exception E） <br />{ <br />//出错写LOG文件 <br />eventLog1.WriteEntry （E.Message.ToString （））; <br />} <br />} <br />//重新启动时钟 <br />this.SmsTimer.Enabled =true; <br />} <br />} <br />}</p>
<p>　　在 Server1.cs切换设计画面，在属性窗口下点击“Add Installer”，系统自动增加ProjectInstaller.cs文件，点击serviceInstaller1，设置“Server Name”设置为“SmsServer”，点击“serviceProcessInstaller1”，设置Account为“LocalSystem”。</p>
<p>　　选择菜单“生成”中的“生成SmsServer”，改正可能有的错误。进行DOS命令行，进行项目目录的\bin\debug目录下，执行“installutil SmsServer”，如果找不到installutil程序，就先Path一下。这时，在管理工具的“服务”下可以找到“SmsServer”服务了。启动该服务。这里默认源为目录F:\Sms\Data\FileToSend，如果这个目录有.SMS文件，就读取其第一行为发送的手机号码，第二行到文本结束为短信息内容，然后发送短信息，再将文本备份到F:\Sms\Data\HadBeenSend\。</p>
<p>　　让我们再回头看一下Server1.cs中的代码。首先在命令空间要增加“using System.IO; using System.Text ; ”方便处理文件及文本对象，在命名类时</p>
<p>public class SmsServer : System.ServiceProcess.ServiceBase <br />{ <br />private System.Timers.Timer SmsTimer; <br />private System.Diagnostics.EventLog eventLog1; <br />public O2SMSXControl.O2SMSX SmsX1;//定义手机短信对象 <br />...... <br />引用Oxygen控件中的定义SmsX1对象，然后在启动服务时初始化手机对象 <br />protected override void OnStart（string[] args） <br />{ <br />// TODO: Add code here to start your service. <br />//开始服务时初始化手机. <br />SmsX1 = new O2SMSXControl.O2SMSXClass （）; <br />SmsX1.ConnectionMode = 0; //联线类型cable <br />SmsX1.ComNumber = 1; //联接端口为com 1 <br />SmsX1.Model = 0; //手机类型3210 <br />SmsX1.Open （）; //联接手机 <br />SmsX1.SetSMSCNumber （"+8613800754500"）;//信息中心号码 <br />}</p>
<p>　　其中要注意的是要初始化信息中心号码，如果不初始化，经常有发不去的情况。然后当时钟触发时要注意先将时钟关掉，再列举当前目录中的.SMS文件，逐一发送出去，再将时钟打开，同时在读文件时，要注意文件的编码 “sr=new StreamReader（fs,UnicodeEncoding.GetEncoding （"GB2312"））;”采用GB2312编码读取才不会读出乱码出来，最后发送信息即可，“SmsX1.SendUnicodeSMSMessage （rsPhoneNum.ToString （）,rsSmsText.ToString （）,6,false,""）; ”其中各个参数的含义可以参照Oxygen的帮助。最后在服务停止时释放短信息对象“SmsX1.Close （）;” 如果出错，则写出错服务LOG文件“eventLog1.WriteEntry （E.Message.ToString （））;”这样，在Windows的“事件查看器”就可以看到出错的信息了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 01:57:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/this/" title="this">this</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e6%9c%ba-%e4%bb%a3%e7%a0%81-%e7%b3%bb%e7%bb%9f%e4%bf%a1%e6%81%af/" title="手机 代码 系统信息">手机 代码 系统信息</a>, <a href="https://www.iamivan.net/tag/visual-studiousbc-%e7%9f%ad%e4%bf%a1sms/" title="visual studiousbc&num;短信sms">visual studiousbc&num;短信sms</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e6%9c%basms%e6%80%8e%e6%a0%b7%e5%8f%96%e5%be%97/" title="手机sms怎样取得">手机sms怎样取得</a>, <a href="https://www.iamivan.net/tag/ios%e6%97%b6%e9%92%9f%e5%bc%80%e5%8f%91/" title="iOS时钟开发">iOS时钟开发</a>, <a href="https://www.iamivan.net/tag/ios%e6%97%b6%e9%92%9f/" title="iOS时钟">iOS时钟</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>用C#编写发手机中文短信息的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqZ9Kp.html" rel="bookmark">用C&num;编写发手机中文短信息Windows服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window|中文 最近在电脑城上买了一根NOKIA3210的数据线,玩了几天改LOGO.改铃声后也将数据线扔在一边.直到前几天在Http://oxygensoftware.com上看到有发手机短信息的二次开发控件,才想起多日不用的数据线,而且最近在学C#,觉得用C#做个发短信息的程序也不错,经过多天的测试,终于实现用电脑+数据线+手机的模式,实现在单位的局域网平台上发送短信息了. 由于单位使用到发手机短信息的地方有很多,可能是从网页.可能是OUTLOOK中的窗体.也可能是某台非Windows操			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9JQdp.html" rel="bookmark">实战ASP&lpar;6&rpar;&colon;使用WML和ASP编写动态手机页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动态|页面 使用WML和ASP编写动态手机页面      ASP与WAP结合能够生成丰富的动态的WML网页,可以给WAP手机带来许多有趣的内容.那么如何使他们两者有机的结合来生成动态网页呢?在本文中,我就想介绍一下如何使用ASP开发一个动态生成WML的应用程序.比如说,现在手机的电子银行被炒得很火,那么我们如何去建立这样一个应用程序呢?在这里我不想讨论整个电子银行的建立,因为那样内容太庞大,超出了我能介绍的范围,在这里我只想介绍一下,如何使用ASP建立一个应用程序来检查用户的收支平衡情况.考虑到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAakkM.html" rel="bookmark">用java   编写一个手机联系人管理的GUI</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 用java 编写一个手机联系人管理的GUI 使用hashtabel 保存数据 解决方案 hashtable效率不是很好,建议使用ConcurrentHashMap 解决方案二: 使用WindowBuilder,可视化编程,控件都是直接拖动就能布局			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBAklz.html" rel="bookmark">在eclipse中编写读取手机通讯录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在eclipse中编写读取手机通讯录 在eclipse中编写读取手机通讯录,并且自动在后台发送短信的软件,这个有什么技术可以做? 解决方案 http://www.cnblogs.com/android100/p/android-tel-book.html 解决方案二: http://www.oschina.net/question/163910_27409			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKgQJz.html" rel="bookmark">界面-关于菜鸟编写安卓手机RE问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于菜鸟编写安卓手机RE问题 编译出来黑屏,后面添加了屏幕背光路径,编译后几秒会亮一下,即是黑一会亮这么循环,不过都看不到任何界面相关的文字 解决方案 手机固件不同,不能直接用现成的,这个只有手机厂商才能做. 解决方案二: 不是吧 网上那么多大神编写出来的RE 都是官网放出来的?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxv98Gz.html" rel="bookmark">揭秘朝鲜版《红楼梦》：&OpenCurlyDoubleQuote;林妹妹&rdquo;发音像中文</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				揭秘朝鲜版&lt;红楼梦&gt; 亲切:&quot;林妹妹&quot;发音像中文 熟悉:服饰如中国电视剧 由朝鲜国宝级艺术团体--血海歌剧团潜心40年创作的大型歌舞剧&lt;红楼梦&gt;将于6月13日和14日在重庆大剧院上演.日前,记者特地前往长沙,为您提前揭秘. 开场 黛玉进贾府场面大 朝鲜版&lt;红楼梦&gt;演出一开场,就是林妹妹进贾府,拄着拐杖的贾母带领众人迎接的一场大戏.演员们的穿戴和87版电视版&lt;红楼梦&gt;几乎一模一样.开场5分钟左右,宝玉上场,没想到,宝玉的一声&quot;林妹			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw0Gdb.html" rel="bookmark">使用WML和ASP编写动态手机页面（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动态|页面 ASP与WAP结合能够生成丰富的动态的WML网页,可以给WAP手机带来许多有趣的内容.那么如何使他们两者有机的结合来生成动态网页呢?在本文中,我就想介绍一下如何使用ASP开发一个动态生成WML的应用程序.比如说,现在手机的电子银行被炒得很火,那么我们如何去建立这样一个应用程序呢?在这里我不想讨论整个电子银行的建立,因为那样内容太庞大,超出了我能介绍的范围,在这里我只想介绍一下,如何使用ASP建立一个应用程序来检查用户的收支平衡情况.考虑到它的安全性,我们要使用WTLS,但这个问题比较			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYdLdlb.html" rel="bookmark">使用PHP编写发红包程序&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用PHP发红包,当我们输入红包数量和总金额后,PHP会根据这两个值进行随机分配每个金额,保证每个人都能领取到一个红包,每个红包金额不等,就是要求红包金额要有差异,所有红包金额总额应该等于总金额. 我们先来分析下规律. 设定总金额为10元,有N个人随机领取: N=1 第一个 则红包金额=X元: N=2 第二个 为保证第二个红包可以正常发出,第一个红包金额=0.01至9.99之间的某个随机数. 第二个红包=10-第一个红包金额: N=3 第三个 红包1=0.01至9.99之间的某个随机数 红包2=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdvAo6b.html" rel="bookmark">骗子狂发手机短信骗财六十五万</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[本报讯](记者 于瀛 包力)靠着狂发短信,刘某和同案犯居然骗到了65万元巨款.昨天记者获悉,福田法院日前对这起诈骗案作出了一审判决,判处诈骗案犯刘某有期徒刑11年,并被处罚金10万元. 被告人刘某26岁,本科文化,从去年4月起,他伙同案犯&quot;小春&quot;(现在逃)租下了南山区大冲村一处民房,购买了电脑.连接器以及大量的手机.手机卡及银行卡,利用电脑通过手机群发&quot;把钱直接打入某某账号,账户名某某&quot;的短信,欺骗被害人将钱款转入诈骗短信指定的账号内.他们最初使用四部手机发送短信			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze72OM.html" rel="bookmark" class="title">sql语句-mysql定时任务 写下SQL语句</a>
					<div>
						问题描述 mysql定时任务 写下SQL语句 想让MYSQL里面的jpzh表里面的isstaus在晚上00定时更新 那个大侠 写下SQL语句 解决方案 CREATE EVENT e_testON SC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOaxRM.html" rel="bookmark" class="title">求大神帮我解决ueditor单图上传按钮显示的问题asp&period;net</a>
					<div>
						问题描述 求大神帮我解决ueditor单图上传按钮显示的问题asp.net 因为公司项目需要,昨天下载了一个.net版的ueditor富文本编辑器,现在也只是能在页面上显示出来了,还有很多的配置问题没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJRRDz.html" rel="bookmark" class="title">toad快速入门（zz）</a>
					<div>
						快速入门 一. Toad功能综述 在Oracle 应用程序的开发过程中,访问数据库对象和编写SQL程序是一件乏味且耗费时间的工作,对数据库进行日常管理也是需要很多SQL脚本才能完成的.Quest So ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2m04z.html" rel="bookmark" class="title">sql 警报</a>
					<div>
						  在SQL Server 中通过警报管理器定义警报,当某些特定的事件发生时会自动报警.当警报被触发时,通过电子邮件或寻呼通知操作员,从而让操作员了解系统中发生了什么事件,比如数据库使用空间不够了或事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNB7NM.html" rel="bookmark" class="title">百度7&period;27更新数据反常分析</a>
					<div>
						早上起来查询网站SEO数据的时候吓我一跳,昨天晚上百度的更新让我的网站数据变的不正常,网站收录数量上涨了将近一半.但主要还是在于百度反链的增长幅度上.相信很多站长的网站昨天晚上的收录数量与外链数量肯定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk3rOp.html" rel="bookmark" class="title">FreeBSD 6&period;2安装图解教程</a>
					<div>
						本文将对FreeBSD安装过程提供详细的图解,在安装之前,先提出几点建议供大家参考: 1.采用最小化安装. 2.安装时启用inetd,并在编辑inetd.conf文件时,把带有&quot;ftp&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKR56M.html" rel="bookmark" class="title">64位Vista SP1的两个让人抓狂的bug</a>
					<div>
						使用32位Vista SP1的用户也许暗自庆幸没有使用64位的Vista SP1,因为,64位的Vista SP1又爆出两个新的bug.这两个新出现的bug简直有些令人抓狂.不过,目前还没有证实其他使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBJnyb.html" rel="bookmark" class="title">如何调整word2007中段落间距</a>
					<div>
						行距决定段落中各行文字之间的垂直距离. 段落间距决定段落上方和下方的空间. 默认情况下,各行之间是单倍行距,每个段落后的间距会略微大一些. 如果要重用设置好的段落间距或行距,可以创建样式.有关创建重用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY8k0M.html" rel="bookmark" class="title">软件自动安装器 1&period;85版使用教程</a>
					<div>
						软件自动安装器是一种装机人员常用的软件,这种软件实现了多个软件的批量安装的功能,节省了大量操作时间.软件主要通过一个主程序和一个配置文件配合工作,同时利用自动化脚本将每个软件的安装包封装成一个自动化安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eYjJb.html" rel="bookmark" class="title">Win8&period;1邮件、日历和人脉应用迎重大更新</a>
					<div>
						  Windows 8.1内置应用邮件.日历和人脉在昨天迎来了Win8.1版本下的首次更新,而且是一次大幅度的功能更新,涉及多项新功能和关键性调整. 需要注意的是,本次升级只针对Windows 8.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badg8Xz.html" rel="bookmark" class="title">115网盘未绑定手机如何下载</a>
					<div>
						临时解决方案,可能被封.欲下从速. 1.打开115资源的网页,如果资源分享着没有绑定手机,网页上会显示&quot;未绑定手机禁止分享给大众功能,请联系资源发布者获取资源&quot; 2.收藏该资源到自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZmk6z.html" rel="bookmark" class="title">Win8&period;1系统拨号提示651错误临时解决方案</a>
					<div>
						  关于Win8.1系统开机后第一次拨号提示651错误的问题,微软官方总算是给出了临时解决方案,并许诺将在下次更新中修复此问题.下面就跟系小编来看看临时解决方案具体如何操作吧! Win8.1系统&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5odLAb.html" rel="bookmark" class="title">鲁大师怎么检测电脑是否有间谍软件？</a>
					<div>
						  &quot;电脑间谍&quot;是潜伏在电脑里的各种病毒.流氓软件.流行木马等类似存在安全隐患的程序文件中.那么我们如何才能检测电脑中是否有间谍软件呢?小编就来告诉你们用鲁大师检测的方法. 鲁大师 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjr9Ab.html" rel="bookmark" class="title">声卡没有任何声音</a>
					<div>
						  在正常使用电脑的时候,发现声卡没有任何声音,不能正常使用.出现这种情况,原因有以下几种. 1.一般驱动程序在安装后,默认输出的是&quot;静音&quot;,点击屏幕右下角的扬声器图标,在音量调节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBwPOz.html" rel="bookmark" class="title">spring学习笔记&lpar;5&rpar;属性文件引入使用</a>
					<div>
						外部文件引用 在配置数据库参数或邮箱服务器参数等静态资源时,相对于直接将信息写入Spring的.xml,.java等配置文件中,更好的做法是将配置信息分类独立地存放到外部属性文件中,然后在Spring ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBkxaz.html" rel="bookmark" class="title">PhalApi-Xhprof -- Facebook开源的轻量级PHP性能分析工具</a>
					<div>
						PhalApi-Xhprof -- Facebook开源的轻量级PHP性能分析工具 前言 Facebook开源的轻量级PHP性能分析工具,非常爽希望大家喜欢 附上: 官网地址:http://www.p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBE8Vz.html" rel="bookmark" class="title">centos 7 LAMP 服务配置</a>
					<div>
						LAMP,顾名思义: L : Linux A : Apache M : Mariadb(原MySQL) P : PHP 建网站,首要问题就是安全,所以iptables一定要配置好,或者firewall ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWVrjp.html" rel="bookmark" class="title">为什么需要云压力性能测试？</a>
					<div>
						为什么需要云压力性能测试? 对软件开发和测试人员来说,最危险的事情之一莫过于被&quot;虚假的安全感&quot;哄骗.举个例子,应用程序的功能和性能水平在预生产阶段往往已经达到预期,但在真实用户环境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQkv5z.html" rel="bookmark" class="title">DB2数据库常用工具</a>
					<div>
						1解释工具 1.1 Visual Explain 之前都是explain就可以了昂 Visual Explain是一种GUI工具,他为数据库管理员和应用程序开发人员提供了查看为特定SQL语句选择的访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxwvnb.html" rel="bookmark" class="title">求助猴群算法matlab仿真程序</a>
					<div>
						问题描述 求助猴群算法matlab仿真程序 现在做毕业设计,需要用到猴群算法matlab仿真程序,求好心人帮忙,谢谢! 解决方案 加油................................. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7alQp.html" rel="bookmark" class="title">显示日历信息的命令 cal 和 ncal</a>
					<div>
						Linux 里内置两个用来显示和校准日历的命令 cal 和 ncal.一旦你习惯使用它们,你会发现使用命令很多时候都比你运用鼠标在 GUI 的日历里查看要来的更迅速和方便.命令行下,有许多参数,这些参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRKDmb.html" rel="bookmark" class="title">PHP正确解析UTF-8字符串</a>
					<div>
						 代码如下 复制代码 $str = '今天非常Happy,所有决定去KFC吃可乐鸡翅!!!'; /* $str 是待截取的字符串 $len 是截取的字符数 */ function utf8sub($s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK30Az.html" rel="bookmark" class="title">委托的使用与原理简析</a>
					<div>
						一.委托声明与本质 1.声明委托 public delegate void SayHelloDelegate(string who); 2.使用ILSpy反编译后,看其本质 public class  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z8xXM.html" rel="bookmark" class="title">葫芦和尚：从零开始学习网站策划《中》</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 在笔者的上一篇文章&quot;从零开始学习网站策划&lt;上&gt; &quot;中,跟大家分享了关于为什么要学习网站策划的4点,网站策划流程的6个步骤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKNZ2z.html" rel="bookmark" class="title">d3&period;json-怎么样通过dropdownlist将值js中的变量并且重新画图</a>
					<div>
						问题描述 怎么样通过dropdownlist将值js中的变量并且重新画图 部分aspx页面 &lt;asp:TextBox ID=&quot;txt&quot; runat=&quot;server& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNNAxM.html" rel="bookmark" class="title">linux命令-Linux虚拟机 中切换到root用户问题</a>
					<div>
						问题描述 Linux虚拟机 中切换到root用户问题 用su命令切换到root时,输入正确密码也总是提示密码不正确 查了网上的 说要修改/etc/passwd 文件 可是也只有root用户能修改啊 我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Re2az.html" rel="bookmark" class="title">武艺十八般又如何你有多少&OpenCurlyDoubleQuote;执行力&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 上周13600的收录让我没有兴奋一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xmg5b.html" rel="bookmark" class="title">Unable to locate the xml-definition for FieldName with FieldId</a>
					<div>
						问题描述 最近检查SharepointLog,有极大量以下的logs,大概每分钟2-3个:Unabletolocatethexml-definitionforFieldNamewithFieldId' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB50Yz.html" rel="bookmark" class="title">阿里巴巴集团OS事业群总裁张春晖：万物互联时代的YunOS</a>
					<div>
						阿里巴巴集团OS事业群总裁张春晖在14日的主论坛上做了精彩的主题演讲,他表示&quot;数据与计算伴随着人类生产生活的进步,随着万物互联网时代的到来,制造业与服务业创新的下一波动能已经来临.YunOS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjEnoM.html" rel="bookmark" class="title">数据-MSSQL如果做字符串拼接的子查询</a>
					<div>
						问题描述 MSSQL如果做字符串拼接的子查询 例子 表 A 列 ID0000 VALUE0 1 AAAAAA 2 BBBBBB 3 CCCCCC 表 B 列 ID0000 SQL000 7 SELEC ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
